Unable to install wine and others < SOLVED >

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
tcheip
Level 1
Level 1
Posts: 14
Joined: Tue Mar 06, 2018 2:04 pm

Unable to install wine and others < SOLVED >

Post by tcheip » Tue Mar 06, 2018 2:25 pm

Hi,

I'm getting the below message when trying to install wine:
Check if you are using third party repositories. If so disable them, since they are a common source of problems.
Furthermore run the following command in a Terminal: apt-get install -f
Details are:

Code: Select all

The following packages have unmet dependencies:
libreoffice-core: Depends: libreoffice-common (> 1:5.1.6~rc2) but it is not installed
                  Depends: libnspr4-0d (>= 1.8.0.10) but it is not installed
libreoffice-style-elementary: Depends: libreoffice-common (= 1:5.1.6~rc2-0ubuntu1~xenial3) but it is not installed
libreoffice-style-galaxy: Depends: libreoffice-common (= 1:5.1.6~rc2-0ubuntu1~xenial3) but it is not installed

[u]sudo apt-get install -f give:[/u]
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following additional packages will be installed:
  libreoffice-common
Suggested packages:
  libreoffice-style-breeze libreoffice-style-hicontrast
  libreoffice-style-human libreoffice-style-oxygen libreoffice-style-sifr
  libreoffice-style-tango
Recommended packages:
  fonts-stix python3-uno
The following NEW packages will be installed:
  libreoffice-common
0 upgraded, 1 newly installed, 0 to remove and 103 not upgraded.
5 not fully installed or removed.
Need to get 0 B/22,4 MB of archives.
After this operation, 84,9 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
(Reading database ... 204909 files and directories currently installed.)
Preparing to unpack .../libreoffice-common_1%3a5.1.6~rc2-0ubuntu1~xenial3_all.deb ...
Unpacking libreoffice-common (1:5.1.6~rc2-0ubuntu1~xenial3) ...
dpkg: error processing archive /var/cache/apt/archives/libreoffice-common_1%3a5.1.6~rc2-0ubuntu1~xenial3_all.deb (--unpack):
 trying to overwrite '/usr/bin/soffice', which is also in package openoffice-debian-menus 4.0-9714
rmdir: failed to remove '/var/lib/libreoffice/share/prereg/': No such file or directory
rmdir: failed to remove '/var/lib/libreoffice/share/': No such file or directory
rmdir: failed to remove '/var/lib/libreoffice/program/': No such file or directory
rmdir: failed to remove '/var/lib/libreoffice': No such file or directory
rmdir: failed to remove '/var/lib/libreoffice': No such file or directory
Processing triggers for hicolor-icon-theme (0.15-0ubuntu1) ...
Processing triggers for gnome-icon-theme (3.12.0-1ubuntu3) ...
Processing triggers for shared-mime-info (1.5-2ubuntu0.1) ...
Processing triggers for gnome-menus (3.13.3-6ubuntu3.1) ...
Processing triggers for desktop-file-utils (0.22+linuxmint1) ...
Processing triggers for mime-support (3.59ubuntu1) ...
Processing triggers for man-db (2.7.5-1) ...
Errors were encountered while processing:
 /var/cache/apt/archives/libreoffice-common_1%3a5.1.6~rc2-0ubuntu1~xenial3_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Note that i did uninstall libreoffice few days ago to install open office package.

Thanks

tcheip
Last edited by tcheip on Fri Mar 09, 2018 5:46 am, edited 2 times in total.

User avatar
kc1di
Level 13
Level 13
Posts: 4655
Joined: Mon Sep 08, 2008 8:44 pm
Location: Maine USA

Re: Unable to install wine and others

Post by kc1di » Tue Mar 06, 2018 3:34 pm

Hello tcheip and Welcome to Linux Mint Forums,

Go to synaptic package manager and then to the edit tab and click on fix broken file. See it that clears it for you.
then try wine again.
if that does not work go to a terminal and type the following commands and try again.

Code: Select all

sudo dpkg --configure -a

Code: Select all

sudo apt update
Post any error codes you get.
Easy tips : https://sites.google.com/site/easylinuxtipsproject/
Linux Mint Installation Guide: http://linuxmint-installation-guide.rea ... en/latest/
Registered Linux User #462608

User avatar
Flemur
Level 16
Level 16
Posts: 6053
Joined: Mon Aug 20, 2012 9:41 pm
Location: Potemkin Village

Re: Unable to install wine and others

Post by Flemur » Tue Mar 06, 2018 8:32 pm

tcheip wrote:
Tue Mar 06, 2018 2:25 pm
Note that i did uninstall libreoffice few days ago to install open office package.
It looks like you managed to uninstall part of libreoffice, but still have
libreoffice-core
and some other parts.
This should show the install parts of libreoffice (and maybe some other stuff, like "libreadline...")

Code: Select all

dpkg -l "libre*" | grep ii
If you don't want libreoffice, try this:

Code: Select all

sudo apt-get purge libreoffice-core
Please edit your original post title to include [SOLVED] if/when it is solved!
Your data and OS are backed up....right?
Mint 18.3 Xfce/fluxbox/pulse-less
Xubuntu 17.10/fluxbox/pulse-less

User avatar
Lord Boltar
Level 4
Level 4
Posts: 226
Joined: Mon Jan 09, 2017 7:24 pm

Re: Unable to install wine and others

Post by Lord Boltar » Wed Mar 07, 2018 7:46 pm

to get rid of libre office run

sudo apt-get remove --purge libreoffice*

tcheip
Level 1
Level 1
Posts: 14
Joined: Tue Mar 06, 2018 2:04 pm

Re: Unable to install wine and others

Post by tcheip » Fri Mar 09, 2018 5:39 am

Purging libre office did work (sudo apt-get remove --purge libreoffice*)

Thanks to all for the help

Post Reply

Return to “Software & Applications”